fr.enssat.BoulderDash.exceptions

## Class ModelNotReadyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - fr.enssat.BoulderDash.exceptions.ModelNotReadyException

All Implemented Interfaces:
  java.io.Serializable

    public class ModelNotReadyException
    extends java.lang.Exception

ModelNotReadyException Raises an 'ModelNotReadyException' exception. Given the exception message.

Since:
  2015-06-23
Author:
  Valerian Saliou <valerian@valeriansaliou.name>
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ModelNotReadyException(java.lang.String message)` Class constructor

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ModelNotReadyException

    public ModelNotReadyException(java.lang.String message)

Class constructor

Parameters:
  `message` - Exception backtrace message